<div class="container">
    <form [formGroup]="formulario" >
        <div class="columna-izq">
            <mat-form-field class="example-full-width" appearance="outline">
                <input matInput formControlName="nombre">
              </mat-form-field>
            <button mat-raised-button color="primary" (click)="Adicion()">Adicionar</button>
        </div>
        <div class="columna-centro" *ngIf="ObtenerCheckbox.length > 0" formArrayName="CheckboxNombre">
            <div *ngFor="let s of ObtenerCheckbox.controls; let i = index " [formGroupName]="i">
                <mat-checkbox  formControlName="check"   name="i">{{s.get('nombre')?.value}}</mat-checkbox>
                <button mat-raised-button color="primary" (click)="LimpiarCB(i)">Eliminar</button>
            </div>
        </div>
        <div class="columna-media">
            <button mat-raised-button color="warn" (click)="Guardar()">Guardar</button>
            <small *ngIf="foco">No existe nada seleccionado</small>
        </div>
        <div class="col4">
           
            <textarea disabled name="" id="" cols="30" rows="10">{{Mostrar()}}</textarea>
        </div>

        <div class="col5">
            <button mat-raised-button color="accent"  (click)="clearBox()">Limpiar</button>
        </div>
    </form>
</div>
